public class TestResult extends Object {
  protected int fRunTests;
  protected Vector fFailures;
  protected Vector fError;
  
  public TestResult() {
    fRunTests = 0;
  }
  
  public synchronized void startTest(Test test) {
    fRunTests++;
  }
  
  public synchronized void addError(Test test, Throwable t) {
    fErrors.addElement(new TestFailure(test, t));
  }
  
  public synchronized void addFailure(Test test, Throwable t) {
    fFailure.addElement(new TestFailure(Test, t));
  }
}